Update a specific incident retrospective step by id
curl --request PUT \
--url https://api.rootly.com/v1/incident_retrospective_steps/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_retrospective_steps",
"attributes": {
"title": "<string>",
"description": "<string>",
"due_date": "<string>",
"position": 123,
"skippable": true,
"status": "todo"
}
}
}
'{
"data": {
"id": "<string>",
"type": "incident_retrospective_steps",
"attributes": {
"retrospective_step_id": "<string>",
"incident_id": "<string>",
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"status": "todo",
"kind": "<string>",
"due_date": "<string>",
"position": 123,
"skippable": true
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
incident_retrospective_step updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/incident_retrospective_steps/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_retrospective_steps",
"attributes": {
"title": "<string>",
"description": "<string>",
"due_date": "<string>",
"position": 123,
"skippable": true,
"status": "todo"
}
}
}
'{
"data": {
"id": "<string>",
"type": "incident_retrospective_steps",
"attributes": {
"retrospective_step_id": "<string>",
"incident_id": "<string>",
"title": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"status": "todo",
"kind": "<string>",
"due_date": "<string>",
"position": 123,
"skippable": true
}
}
}